<notifier-container></notifier-container>
<div class="row">
  <div class="col-sm-12">
    <app-card [hidHeader]="true">


      <div class="form-row">

        <div class=" form-group col-md-9">

          <h6 class="mt-3">Entrez un UAI et année (optionnel)</h6>

          <input type="text" class="form-control" placeholder="UAI" [(ngModel)]="uai">
          <input type="text" class="form-control" placeholder="Année" [(ngModel)]="year">

        </div>
        <div class="col-md-3">
          <!--<h6 class="mt-3">Select a date range</h6>
          <input class="mb-3 form-control" type="date" placeholder="Default input" [(ngModel)]="since"> -->
          <button class="btn  btn-info event-btn m-5 float-right" type="button" (click)="onSubmitLoader()">
            <span *ngIf="this.submitLoader" class="spinner-grow spinner-grow-sm" role="status"></span>
            <span *ngIf="this.submitLoader" class="load-text"> Loading...</span>
            <span *ngIf="!this.submitLoader && this.processing" class="spinner-grow spinner-grow-sm" role="status"></span>
            <span *ngIf="!this.submitLoader && this.processing" class="btn btn-info">Processing..</span>
            <span *ngIf="!this.submitLoader && !this.processing" class="btn btn-info">Submit</span>
          </button>
        </div>
      </div>

      <div *ngIf="show_table">
        <div class="col-sm-12 scrollit">
          <app-card [hidHeader]="true">
            <caption>Data</caption>
            <table class="table table-border-style">
              <thead>
                <tr>
                  <th class="text-center">Utilisateurs Android</th>
                  <th class="text-center">Utilistaeurs MacOS</th>
                  <th class="text-center">Utilisateurs Chrome</th>
                  <th class="text-center">Visites Windows</th>
                  <th class="text-center">Visites iOS</th>
                  <th class="text-center">Visites Android</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let item of table_data; let i=index">
                  <td class="text-center">{{item.fields.utilisateurs_android}}</td>
                  <td class="text-center">{{item.fields.utilisateurs_macos}}</td>
                  <td class="text-center">{{item.fields.utilisateurs_chrome}}</td>
                  <td class="text-center">{{item.fields.visites_windows}}</td>
                  <td class="text-center">{{item.fields.visites_ios}}</td>
                  <td class="text-center">{{item.fields.visites_android}}</td>
                </tr>
              </tbody>
            </table>
          </app-card>
        </div>
      </div>

      <div *ngIf="disp">
        <div class="col-sm-12">
          <app-card cardTitle="Evolution mensuelle des nombres de visites par appareil" [options]="false">
            <app-apex-chart chartID="area-chart-1-cac" [chartConfig]="this.chartDB.area1CAC"></app-apex-chart>
          </app-card>
        </div>
      </div>
    </app-card>

  </div>

</div>